# class Prism::EmbDocComment

`EmbDocComment` objects correspond to comments that are surrounded by =begin and =end.

### Public Instance Methods

inspect ()
Source

    # File lib/prism/parse_result.rb, line 551
    def inspect
      "#<Prism::EmbDocComment @location=#{location.inspect}>"
    end

Returns a string representation of this comment.

trailing? ()
Source

    # File lib/prism/parse_result.rb, line 546
    def trailing?
      false
    end

This can only be true for inline comments.